Get service vulnerabilities
API server
https://app.coolify.io/api/v1Get the security status, the scanned images, and the vulnerabilities of the applications and databases of a service.
Authorization
bearerAuth AuthorizationBearer <token>
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
uuid*string
Service UUID
Query Parameters
state?string
Comma-separated finding states: fixed, no_fix, ignored. All when not sent.
severity?string
Comma-separated severities: critical, high, medium, low, unknown.
image?string
Only the findings of this scanned image ref.
search?string
Text in the vulnerability ID, an alias, the package, or the version.
page?integer
Default
1Range
1 <= valueper_page?integer
Default
50Range
1 <= value <= 200Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://app.coolify.io/api/v1/services/string/vulnerabilities"{ "uuid": "string", "type": "application", "off_reason": "server", "security": { "status": "update_now", "label": "string", "action": "string", "check_reason": "string", "problem_count": 0, "exploited_count": 0, "any_exploited": true, "critical_count": 0, "high_count": 0, "medium_count": 0, "eol": {}, "checked_at": "2019-08-24T14:15:22Z", "actions": [ { "type": "string", "sentence": "string", "target": "string", "copy": "string", "image": "string", "ref": "string" } ] }, "images": [ { "scan_uuid": "string", "owner_uuid": "string", "image_ref": "string", "scan_status": "queued", "error_code": "string", "scanned_at": "2019-08-24T14:15:22Z", "truncated": true, "security_status": "string" } ], "findings": [ { "id": "string", "display_id": "string", "aliases": [ "string" ], "title": "string", "severity": "critical", "package": "string", "version": "string", "package_type": "string", "fixed_in": "string", "state": "fixed", "ignore": {}, "kev": true, "epss": 0, "risk": 0, "cvss_score": 0, "advisory_url": "string", "image_ref": "string", "owner_uuid": "string" } ], "pagination": { "page": 0, "per_page": 0, "total": 0 }}{ "message": "Invalid token."}{ "message": "Unauthenticated."}{ "message": "Resource not found."}{ "message": "Validation error.", "errors": { "name": [ "The name field is required." ], "api_url": [ "The api url field is required.", "The api url format is invalid." ] }}